# Generated by Django 5.0.6 on 2024-07-19 00:49

from django.db import migrations
from django.conf import settings


def create_helpdesk_objects(apps, schema_editor):
    Queue = apps.get_model("helpdesk", "Queue")
    CustomField = apps.get_model("helpdesk", "CustomField")

    queue, c = Queue.objects.get_or_create(
        title="Support écri+",
        slug="ecriplussupport",
        email_address=settings.EMAIL_HOST_USER,
        locale="fr",
        allow_public_submission=True,
        allow_email_submission=True,
        enable_notifications_on_email_events=True,
        email_box_type="imap",
        email_box_host=settings.EMAIL_HOST,
        email_box_port=993,
        email_box_ssl=True,
        email_box_user=settings.EMAIL_HOST_USER,
        email_box_pass=settings.EMAIL_HOST_PASSWORD,
        email_box_imap_folder="INBOX",
    )

    field, c = CustomField.objects.get_or_create(
        name="code_question",
        label="Code question ",
        data_type="varchar",
        max_length=64,
        required=True,
    )


class Migration(migrations.Migration):
    dependencies = [
        ("helpdesk", "0038_checklist_checklisttemplate_checklisttask"),
    ]

    operations = [
        migrations.RunPython(create_helpdesk_objects),
    ]
